5 Replies Latest reply on Jan 13, 2017 3:11 PM by Vitaly Merenkov

    Issue in Eclipselink JPA support on wildfly 10.1

    samy omar Newbie

      I have successfully ran eclipselink 2.6.2 on wildfly 10.0 But when I tried to migrate my application to wildfly 10.1 I got the following error.

       

      org.jboss.resteasy.spi.UnhandledException: javax.ejb.EJBException: java.lang.IllegalArgumentException: No [EntityType] was found for the key class in the Metamodel - please verify that the [Entity] class was referenced in persistence.xml using a specific com.unilever.replenishment.model.entities.ReplItem property or a global false element.

       

      My persistence unit looks like the following (which works on wildfly 10.0)

       

      <persistence-unit name="com.unilever_Replenishment_PU" transaction-type="JTA">
        
      <provider>org.eclipse.persistence.jpa.PersistenceProvider</provider>
        
      <jta-data-source>REPLENISHMENT_JNDI</jta-data-source>
        
      <exclude-unlisted-classes>false</exclude-unlisted-classes>
      </persistence-unit>

       

      I also posted this question on stackoverflow

       

      Any solution for this annoying issue ?  Is this a bug ?